﻿<Page x:Class="Sphere.AddFiles"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:Sphere"
      mc:Ignorable="d" 
      d:DesignHeight="450" d:DesignWidth="800"
      Title="AddFiles">

    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="1*"/>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="7*"/>
            <RowDefinition Height="2*"/>
        </Grid.RowDefinitions>

        <Label x:Name="countLabel" Grid.Column="1" Grid.Row="0" Foreground="White">0 Fichiers selectioné(s)</Label>
        <ListBox Margin="40,0,40,0" x:Name="listFiles" AllowDrop="True" Drop="Window_Drop" Grid.Column="1" Grid.Row="1">
            <Label  Foreground="Black">Drop Files Here</Label>
        </ListBox>
        <Grid Grid.Row="2" Grid.Column="1">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
            </Grid.ColumnDefinitions>
            <Button Grid.Column="0" Margin="0,10,0,0" Width="125" Height="25" Click="ButtonOpen" >Ouvrir ...</Button>
            <Button Grid.Column="1" Margin="0,10,0,0" Width="125" Height="25" Click="ButtonClear" >Effacer tout</Button>
            <Button Grid.Column="2" Margin="0,10,0,0" Width="125" Height="25" Click="ButtonStart" >Lancer l'analyse</Button>
        </Grid>
    </Grid>
</Page>
